Subject: [PATCH] git-svn: document useLogAuthor and addAuthorFrom config keys

From: Eric Wong <[email-masked]>
Date: Sun, 11 Dec 2016 00:06:46 +0000

Juergen Kosel <[email-masked]> wrote:
> Am 05.12.2016 um 23:54 schrieb Eric Wong:
> > So, can you confirm that svn.addAuthorFrom and svn.useLogAuthor 
> > config keys work and can be documented?
> 
> yes, I can confirm, that adding this configuration keys works with git
> 2.1.4 work.
> I have added the config keys as follows:
> 
> git config --add --bool svn.useLogAuthor true
> git config --add --bool svn.addAuthorFrom true

Thanks for testing, patch below.

> > Even better would be for you to provide a patch to the 
> > documentation :) Otherwise, I can write one up sometime this week.
> 
> My English is not that well. So I prefer, if you update the
> documentation :-)

No problem, my asciidoc is a bit rusty, but I think
the formatted result will be fine.

(Btw, list convention here is to reply-to-all;
 it prevents vger from being a single-point-of-failure)

-------8<-------
Subject: [PATCH] git-svn: document useLogAuthor and addAuthorFrom config keys

We've always supported these config keys in git-svn,
so document them so users won't have to respecify them
on every invocation.

Reported-by: Juergen Kosel <[email-masked]>
Signed-off-by: Eric Wong <[email-masked]>
---
 Documentation/git-svn.txt | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/Documentation/git-svn.txt b/Documentation/git-svn.txt
index 5f9e65b0c..9bee9b0c4 100644
--- a/Documentation/git-svn.txt
+++ b/Documentation/git-svn.txt
@@ -664,13 +664,19 @@ creating the branch or tag.
 	When retrieving svn commits into Git (as part of 'fetch', 'rebase', or
 	'dcommit' operations), look for the first `From:` or `Signed-off-by:` line
 	in the log message and use that as the author string.
++
+[verse]
+config key: svn.useLogAuthor
+
 --add-author-from::
 	When committing to svn from Git (as part of 'commit-diff', 'set-tree' or 'dcommit'
 	operations), if the existing log message doesn't already have a
 	`From:` or `Signed-off-by:` line, append a `From:` line based on the
 	Git commit's author string.  If you use this, then `--use-log-author`
 	will retrieve a valid author string for all commits.
-
++
+[verse]
+config key: svn.addAuthorFrom
 
 ADVANCED OPTIONS
 ----------------
-- 
EW